<?php
 
    $date= new DateTimeImmutable();
    echo $date->format(DateTimeInterface::RFC2822), "\n";
     
    $local_dir="/home/srl/Arduino/Intercambio_ftp";

    $ftp_conn=ftp_connect("192.168.1.35") or die("Could not connect");

    ftp_login($ftp_conn,"arduino","arduino01");

    $file_list=ftp_nlist($ftp_conn, "."); 

    echo "---------- Ftp Download", "\n";

    foreach ($file_list as $filename) 
    {

        if ($filename == '.' || $filename == '..')
            continue;
        
        
        if (str_contains($filename, '.jpg'))
            $v_tipo=FTP_BINARY;                            
        else
            $v_tipo=FTP_ASCII;    
                
        $v_result=ftp_get($ftp_conn, "$local_dir/$filename", $filename, $v_tipo);
        
        if($v_result)
            echo " OK download file: $filename ", "\n";
        else 
            echo " ERROR download file: $filename ", "\n"; 
        
        $v_result=ftp_delete($ftp_conn, $filename);
        
        if($v_result)
            echo " $filename deleted successful\n";
        else
            echo "could not delete $filename\n"; 

    }

    ftp_close($ftp_conn);


/* *************** */

    $dbhost="localhost";
    $dbname="GAS";
    $dbusername="srl";
    $dbpassword="Relampago_01";
     


    $db_mysql=new mysqli($dbhost,$dbusername,$dbpassword, $dbname);

/* *************** */
    echo "---------- OCR process", "\n";

    $fileload=scandir($local_dir); // Scan the dir your files are in

    /* OCR Procesar todos los ficheros */
    foreach ($fileload as $file_load) 
    {

        if ($file_load == "." || $file_load == "..")
            continue;

        if (!str_contains($file_load, ".jpg") ) 
            continue;
        
        $id_consum=substr($file_load,0,14);
        
        $exe="tesseract --dpi 640 $local_dir/$file_load stdout -c tessedit_char_whitelist=0123456789,";
                
        $output=null;
        $retval=null;

        exec($exe, $output,  $retval);   

        echo "  OCR file: $file_load --> $retval ", "\n";


        $v_result=unlink("$local_dir/$file_load");

        if($v_result)
            echo " $file_load deleted successful \n ";
        else
            echo "could not delete $file_load \n ";
 
        $sql="insert into consumo_OCR (ID, CONSUMO) values(".$id_consum.",'".$output[0]."')";

        echo "      Register OCR-> $sql ", "\n";
            
        $db_mysql->query($sql); 

    }


/* *************** */
 

    $fileload_csv=scandir($local_dir); // Scan the dir your files are in

 

    echo "---------- TempHum csv to MySql", "\n";

    foreach ($fileload_csv as $file_load_csv) {

        if ($file_load_csv == "." || $file_load_csv == "..")
            continue;

        if (!str_contains($file_load_csv, ".csv") ) 
            continue;

        $import_file=fopen("$local_dir/$file_load_csv", "r");
        
        if ($import_file)
            echo " Process successful $file_load_csv \n ";
        else {
            echo "  ERROR Open file: $file_load_csv ", "\n";
            continue;
        }        
        

        while ( ($row=fgetcsv($import_file,50,";")) !== false ) {
            if($row[0]==0) break; 
            $sql="insert into TempHum (ID, TEMPERATURA, HUMEDAD) 
                    values(
                    " . $row[0] . ",
                    '" . $row[1] . "',
                    '" . $row[2] . "'
                    )";

            echo "      Register $sql", "\n";            
            $db_mysql->query($sql); 
        }

        fclose($import_file);
        
        $v_result=unlink("$local_dir/$file_load_csv");
        
        if($v_result)
            echo "  OK Delete file: $file_load_csv ", "\n";
        else
            echo "  ERROR Delete file: $file_load_csv ", "\n";
        
    }

    $db_mysql->close();


?>

